Einführung

Mit dem WinFileM Utility können Sie

  • in zwei nebeneinander liegenden Fenstern die Inhalte von zwei verschiedenen Ordnern anzeigen,
    • dabei Unterschiede zwischen den enthaltenen Dateien und Ordnern sehen,
    • zusätzliche Dateien eines Ordners erkennen,
    • fehlende Dateien eines Ordners erkennen,
    • größere bzw. kleinere Dateien eines Ordners erkennen,
    • neuere bzw. ältere Dateien eines Ordners erkennen,
    • dabei gleiche bzw. ungleiche Dateien in verschiedenen Ordnern sehen,
    • entsprechende Dateien/Ordner auswählen,
    • und Synchronität zwischen den verschiedenen Ordnern herstellen
  • Funktionen ähnlich denen des Windows Explorer ausführen,
  • Explorer Funktionen auf mehrere Dateien und/oder Verzeichnisse anwenden,
  • Dateien verschlüsseln und entschlüsseln,
  • Dateien oder Verzeichnisse zu einem Zip-Archiv zusammenfassen,
  • vorhandene Zip-Archive entzippen,
  • Anzeigen von einzelnen Dateien,
  • Unterschiede zwischen zwei Dateien anzeigen, ...

Diese kurze Einführung soll Ihnen helfen, mit dem Funktionsumfang von WinFileM rasch zurecht zu kommen.

Nächste Themen

  • die Programmoberfläche
nach oben nach oben


Hauptfenster

Das WinFileM Hauptfenster besteht aus vier Elementen. Nacheinander sind in diesem Hauptfenster enthalten:

  • die Titelleiste
  • die Menüleiste
  • die Symbolleiste
  • die Statusleiste

    WinFileM besitzt ein Anwendungsfenster zur Anzeige von Dateien und/oder Verzeichnissen.

    • Nächste Themen

    • die Titelleiste
    • die Menüleiste
    • die Symbolleiste
    • das Anwendungsfenster
    • die Statusleiste


Titelleiste

Die Titelleiste enthält auf der rechten Seite die Standard- Windows-Buttons zum Minimieren, Maximieren und Schließen der Anwendung enthalten.

Der Minimieren-Button funktioniert anders als bei anderen Windows-Anwendungen. Durch Drücken des Buttons "Minimieren" wird die Anwendung nicht in die Windows-Taskleiste minimiert, sie wird aus der Windows-Taskleiste entfernt und ein neues Symbol wird in den System-Tray aufgenommen. Von dort aus kann sie mit einem Doppelklick wiederhergestellt werden, mit einem Rechtsklick kann ein Kontext-Menü angezeigt werden,

aus dem die Anwendung wieder hergestellt werden kann oder beendet werden kann.

Der Schließen-Button funktioniert anders als bei anderen Windows-Anwendungen. Durch Drücken des Buttons "Schließen" wird die Anwendung nicht geschlossen, sie wird aus der Windows-Taskleiste entfernt und ein neues Symbol wird in den System-Tray aufgenommen. Von dort aus kann sie mit einem Doppelklick wiederhergestellt werden, mit einem Rechtsklick kann das Kontext-Menü angezeigt werden, aus dem die Anwendung wieder hergestellt werden kann oder beendet werden kann.

Die Anwendung kann nur durch die Funktion 'Datei' -> 'Beenden' der Menüleiste beendet werden.

Mit dieser Funktion kann WinFileM in die Autostart-Gruppe aufgenommen werden, damit es bei jedem Windows-Start automatisch gestartet wird. Bei einem Autostart geht WinFileM in den gleichen Zustand, wie es zuletzt vor dem Starten von Windows war (minimiert, maximiert).

Verwandte Themen

  • die Titelleiste


Menüleiste

Die Menüleiste enthält die aktiven Funktionen dieses Fensters.

Die Menüleiste und die Symbolleiste enthalten zusammen alle ausführbaren Funktionen des Anwendungs-Fensters.

  • die Titelleiste


Symbolleiste

Eine Symbolleiste ist in der Anwendung nicht enthalten, die Funktionen sind in die einzelnen Bereiche im Anwendungsfenster integriert.

  • die Titelleiste


Anwendungsfenster

Das Anwendungsfenster enthält die Anzeige der Dateien und/oder Verzeichnisse in verschiedenen Möglichkeiten.

  • die Titelleiste


Anzeige

Das Anzeigefenster enthält neben der Struktur- und Listenansicht weitere Fenster wie ein Kontext-Menu zur Anzeige und Auswahl der bisher besuchten Pfade, Symbolleisten in der Struktur- und Listenansicht und eine Statuszeile.

Die Statuszeile am unteren Rand enthält

  • den Laufwerks-Namen des ausgewählten Laufwerks mit der Angabe des freien und zur Verfügung stehenden Platzes,
  • die Anzahl der vorhandenen Dateien und Verzeichnisse sowie deren Größe,
  • die Anzahl der selektierten Dateien und Verzeichnisse sowie deren Größe (soweit die Größe der Verzeichnisse ermittelt wurde)

oder

  • den Computer-Namen,
  • die Anzahl der vorhandenen Laufwerke,
  • die Anzahl der selektierten Laufwerke.

  • die Titelleiste


Struktur Ansicht

Die Strukturansicht zeigt die Struktur des Datei-Systems an.

  • die Titelleiste


Listen Ansicht

Die Listenansicht enthält die Anzeige der Dateien und/oder Verzeichnisse in verschiedenen Möglichkeiten.

  • die Titelleiste


Statusleiste

Die Statusleiste enthält Informationen zum Ablauf der Verarbeitung, Informationen zur Anwendungs-Fensters, einen Fortschrittsbalken, um grafisch über lang dauernde Vorgänge zu informieren, sowie das aktuelle Datum und die Uhrzeit und einen Button zum Aufruf eines Kalenders.

  • die Statusleiste enthält einen Informationsblock als ersten Teil der Zeile. In diesem Informationsblock werden Nachrichten ausgegeben, die über den erfolgreichen oder nicht-erfolgreichen Fortschritt berichten. Eine Nachricht ist jeweils mit einem der Symbole Information (Informations-Meldung), Warnung (Warnungs-Meldung) oder Fehler (Fehler-Meldung) gekennzeichnet.
  • der zweite Teil der Zeile enthält den Fortschrittsbalken.
  • der dritte Teil der Zeile enthält das aktuelle Datum und die Uhrzeit.
  • der vierte Teil der Zeile enthält einen Button um einen Kalender aufzurufen.

Die Informationen der Statusleiste werden jeweils aktualisiert, wenn ein anderes Anwendungs-Fenster aktiviert wird.

  • die Titelleiste


Menü Datei

Im Menü 'Datei' sind Funktionen vorhanden, die in diesem Anwendungsfenster ausgeführt werden können.

  • die Titelleiste


Beenden

Die Funktion 'Beenden' beendet die Anwendung.

Dieses ist die einzige Funktion (mit Ausnahme der Funktion 'Prozess beenden' im Windows Task Manager), mit der das Programm beendet werden kann.

  • die Titelleiste


Darstellung

Im Menü 'Darstellung' sind Funktionen vorhanden, die die Darstellung im Anwendungsfenster beeinflußen.

Die 'vertikale' Darstellung zeigt zwei Fenster nebeneinander an, die jeweils aus Struktur- und Listenansicht bestehen können.

Die 'horizontale' Darstellung zeigt zwei Fenster übereinander an, die jeweils aus Struktur- und Listenansicht bestehen können.

Die 'Einzel' Darstellung zeigt ein Fenster an, das aus Struktur- und Listenansicht bestehen kann.

  • die Titelleiste


Tools

Im Menü 'Tools' sind Funktionen vorhanden zum Verbinden und Trennen von Netzwerk-Laufwerken.

  • die Titelleiste


Netzlaufwerk verbinden

Ein neues Fenster 'Netzlaufwerk verbinden' wird geöffnet.

Im 'Netzlaufwerk verbinden' Fenster, wählen Sie einen verfügbaren Buchstaben aus der Liste der Laufwerks-Buchstaben. Alle Laufwerke, die bereits verbunden sind, haben einen Verzeichnis-Namen in der Anzeige der Liste.

Geben Sie den Namen des Verzeichnisses ein. Der Name muß den UNC-Namenkonventionen entsprechen. Alternativ können Sie den 'Durchsuchen...' Button drücken um den gewünschten Ordner zu finden.

Markieren Sie die Checkbox "Verbindung bei Anmeldung wiederherstellen", wenn diese Verbindung dauerhaft sein soll. Andernfalls wird diese Laufwerk-Verbindung aufgelöst beim Beenden der Sitzung an diesem Computer.

Falls der entfernte Computer, der das Verzeichnis enthält, einen anderen Benutzernamen und ein anderes Kennwort benötigt, klicken Sie auf den Hyperlink 'anderem Benutzernamem', um diese Information einzugeben.

Drücken Sie dann auf 'Fertig stellen'.

Wenn der Laufwerks-Buchstabe bereits einem anderen Verzeichnis zugeordnet war, wird eine Message Box angezeigt, mit der die Ersetzung der existierenden Zuordnung durch die neue Zuordnung bestätigt werden kann. Klicken Sie auf 'Ja' um die existierende Verbindung zu trennen.

Wenn 'Fertig stellen' erfolgreich ist, ist das Netzlaufwerk verbunden. Falls das Netzlaufwerk nicht verbunden werden kann, stellen Sie sicher, dass der Verzeichnisname richtig geschrieben ist, dass das Verzeichnis die richtigen Einstellungen auf dem entfernten Computer besitzt, dass der richtige Benutzername und das richtige Kennwort eingegeben wurde, und dass die Netzwerkverbindungen korrekt funktionieren.

  • die Titelleiste


Netzlaufwerk trennen

Um die Verbindung zu einem Netzlaufwerk zu lösen, benutzen Sie diese Funktion oder rechts-klicken Sie auf das Icon 'Arbeitsplatz' und wählen Sie dann 'Netzlaufwerk trennen...'.

  • die Titelleiste


Optionen

Die Funktion 'Optionen' ermöglicht die Auswahl und die Eingabe optionaler Information.

  • die Titelleiste


Größenangabe

Die Funktion 'Größenangabe in' ermöglicht die Einstellung der Größenangabe zu den einzelnen Dateien und Verzeichnissen.

Die Größe wird für Dateien direkt angezeigt. Um die Größe eines Verzeichnisses anzuzeigen, wird das Verzeichnis markiert in der Listenanzeige und danach der Button 'Größe des Ordners ermitteln' gedrückt. Abhängig von der Größe des Verzeichnisses kann das Ermitteln der Größe eine lang dauernde Funkton sein.

Die Einstellung 'Größenangabe in kleinster Einheit' führt dazu, dass die Größenangabe einer Datei oder eines Verzeichnisses in die kleinstmögliche der 4 angegebenen Einheiten Byte, Kilobyte, Megabyte und Gigabyte umgerechnet wird.

Die Einstellung 'Größenangabe in Byte' berechnet die Größenangabe einer Datei oder eines Verzeichnisses in der Anzahl von Byte.

Die Einstellung 'Größenangabe in KB' berechnet die Größenangabe einer Datei oder eines Verzeichnisses in der Anzahl von Kilobyte.

Die Einstellung 'Größenangabe in MB' berechnet die Größenangabe einer Datei oder eines Verzeichnisses in der Anzahl von Megabyte.

Die Einstellung 'Größenangabe in GB' berechnet die Größenangabe einer Datei oder eines Verzeichnisses in der Anzahl von Gigabyte.

  • die Titelleiste


Dateioperationen bestätigen

Die Funktion 'Dateioperationen bestätigen' zeigt ein Menü an, in dem eingestellt werden kann, bei welchen Dateioperationen eine Nachfrage durchgeführt wird bevor die Dateioperation durchgeführt wird.

Die Funktion 'Dateioperationen bestätigen bei Kopieren' stellt ein, dass eine Nachfrage, ob eine Kopieraktion tatsächlich durchgeführt werden soll, vorgenommen wird. Falls diese Nachfrage bestätigt wird, wird die Dateioperation durchgeführt.

Die Funktion 'Dateioperationen bestätigen bei Verschieben' stellt ein, dass eine Nachfrage, ob eine Verschiebeaktion tatsächlich durchgeführt werden soll, vorgenommen wird. Falls diese Nachfrage bestätigt wird, wird die Dateioperation durchgeführt.

Die Funktion 'Dateioperationen bestätigen bei Löschen' stellt ein, dass eine Nachfrage, ob eine Löschaktion tatsächlich durchgeführt werden soll, vorgenommen wird. Falls diese Nachfrage bestätigt wird, wird die Dateioperation durchgeführt.

  • die Titelleiste


Verzeichnis-Unterschiede zeigen

Die Funktion 'Verzeichnis-Unterschiede zeigen' zeigt die Unterschiede zwischen zwei Verzeichnissen in der linken und der rechten Liste an genauso wie die Unterschiede zwischen Dateien angezeigt werden.

Zusätzliche Verzeichnisse werden in einer der Listen markiert, bei übereinstimmenden Verzeichnisnamen wird das Erstellungsdatum geprüft.

Bei Verzeichnissen können Unterschiede in der Größe nicht angezeigt werden.

  • die Titelleiste


Programmoptionen

Die Funktion 'Programmoptionen' zeigt einen Dialog an, in dem verschiedene 'Programmoptionen' ausgewählt oder eingegeben werden können.

  • Trace Optionen


Programmlizenzierung

Die Funktion 'Programmlizenzierung' zeigt einen Dialog an, mit dem eine 'Programmlizenzierung' durchgeführt werden kann.

Verwandte Themen

  • Lizenzdaten
  • Lizenzierung
  • Lizenzfunktionen


Sprache

In der Funktion 'Sprache' wird die aktive Sprache der Oberfläche angezeigt oder kann ausgewählt werden. Eine Änderung der Sprache kann ein Neustarten der Anwendung notwendig machen, damit alle Sprachelemente in der neu ausgewählten Sprache dargestellt werden.

  • die Titelleiste


Sprache Englisch

In der Funktion 'Sprache' wird die aktive Sprache der Oberfläche angezeigt oder kann ausgewählt werden. Eine Änderung der Sprache kann ein Neustarten der Anwendung notwendig machen, damit alle Sprachelemente in der neu ausgewählten Sprache dargestellt werden.

Verwandte Themen

  • Sprache Englisch
  • Sprache Deutsch


Sprache Deutsch

In der Funktion 'Sprache' wird die aktive Sprache der Oberfläche angezeigt oder kann ausgewählt werden. Eine Änderung der Sprache kann ein Neustarten der Anwendung notwendig machen, damit alle Sprachelemente in der neu ausgewählten Sprache dargestellt werden.

Verwandte Themen

  • Sprache Englisch
  • Sprache Deutsch


Hilfe

Hilfe

In der Funktion 'Hilfe' kann Information über die Anwendung, die Hilfe und weitere Information angezeigt werden.

  • die Titelleiste


Kontextmenü

Das Kontextmenü enthält die vorhandenen Laufwerke und die Pfadnamen der besuchten Pfade. Durch einen Klick auf das Kontextmenü wird es geöffnet.

Die Liste der vorhandenen Laufwerke wird automatisch aktualisiert, wenn ein neues Laufwerk hinzugefügt oder entfernt wird (z.B. durch Hinzufügen eines USB-Laufwerks) oder wenn eine CD eingelegt wird und die Schublade geschlossen wird.

Wenn der Mauszeiger über die einzelnen Einträge des Kontextmenüs bewegt wird, werden an den gekennzeichneten Stellen weitere Einträge geöffnet. Durch die Auswahl eines Eintrags wird dieser Pfad in der Listenansicht geöffnet.

Oben rechts sind zwei Buttons enthalten. Der erste Button hat die Funktion 'Zurück' zum zuletzt zuvor besuchten Verzeichnis, der zweite Button hat die Funktion 'Aufwärts' zum nächsthöheren Verzeichnis.

  • die Titelleiste


Symbolleiste der Struktur-Ansicht

Die Symbolleiste der Struktur-Ansicht enthält Buttons mit der Bezeichnung 'Tools', 'Aktualisieren', 'Name kopieren', 'Pfad kopieren', 'Kommandozeile' und 'Knoten expandieren'.

'Tools' öffnet ein Menü zur Auswahl von Funktionen der Struktur-Ansicht.

Aktualisieren | die Anzeige wird aktualisiert.
Name kopieren | der Name des Ordners wird in die Zwischenablage kopiert.
Pfad kopieren | der Name des Ordners einschließlich des gesamten Pfadnamens wird in die Zwischenablage kopiert.
Name bearbeiten | der Name des Ordners kann bearbeitet werden, d.h. der Ordner kann umbenannt werden.
Neuen Ordner erstellen | ein neuer Ordner wird unterhalb des ausgewählten Ordners erstellt.
Kommandozeile | mit dem ausgewählten Verzeichnis als Default-Verzeichnis öffnet sich ein DOS-Fenster.
Knoten expandieren | das ausgewählte Verzeichnis wird in sämtliche Unterverzeichnisse expandiert.
Entfernen | das ausgewählte Verzeichnis wird entfernt, d.h. es wird in den Papierkorb geschoben.
Abbrechen | das Kontext-Menü wird beendet, es wird keine Aktion ausgeführt.

  • die Titelleiste


Symbolleisten der Listen-Ansicht

Die Symbolleisten der Listen-Ansicht

  • Symbolleiste Einstellungen

  • Symbolleiste Auswahl

  • Symbolleiste Bearbeiten

  • die Titelleiste


Symbolleiste Einstellungen

Die Symbolleiste Einstellungen

enthält 9 Buttons mit der Bezeichnung 'Struktur verbergen' bzw. 'Struktur anzeigen', 'Tools', 'Aktualisieren', 'nur Dateien anzeigen' bzw. 'Dateien und Ordner anzeigen', 'Name kopieren', 'Pfad kopieren', 'Auswahl Spalten/Ansicht', 'Kommandozeile' und 'Dateifilter' und 3 Buttons zur Unterstützung des Druckens mit den Bezeichnungen 'Seite einrichten', 'Seitenvorschau' und 'Drucken'.

'Tools' öffnet ein Menü zur Auswahl von Funktionen der Listen-Ansicht.

'Auswahl Spalten/Ansicht' öffnet ein Menü zur Auswahl von Funktionen der Listen-Ansicht.

'Datei Filter' öffnet ein Menü zur Auswahl einer anzuzeigenden Datei-Erweiterung.

Struktur verbergen bzw. Struktur anzeigen | die Anzeige wird umgeschaltet zwischen einem Anzeige-Fenster mit Struktur-Ansicht und einem Anzeige-Fenster ohne Struktur-Ansicht.
Aktualisieren | die Listen-Ansicht wird aktualisiert.
nur Dateien anzeigen bzw. Dateien und Ordner anzeigen | die Listen-Ansicht wird umgeschaltet zwischen einer Anzeige mit Dateien und Verzeichnissen und einer Anzeige, die nur Dateien enthält.
Name kopieren | der Name des Ordners wird in die Zwischenablage kopiert.
Pfad kopieren | der Name des Ordners einschließlich des gesamten Pfadnamens wird in die Zwischenablage kopiert.
Name bearbeiten | der Name des Ordners kann bearbeitet werden, d.h. der Ordner kann umbenannt werden.
Alle auswählen | alle angezeigten Dateien und Verzeichnisse werden selektiert.
Keine auswählen | keine der angezeigten Dateien und Verzeichnisse wird selektiert.
Auswahl invertieren | ausgewählte Dateien und Verzeichnisse werden deselektiert, nicht ausgewählte Dateien und Verzeichnisse werden selektiert.
Neuen Ordner erstellen | ein neuer Ordner wird unterhalb des ausgewählten Ordners erstellt.
Neue Verknüpfung erstellen | eine neue Verknüpfung wird erstellt im ausgewählten Verzeichnis.
Kommandozeile | mit dem ausgewählten Verzeichnis als Default-Verzeichnis öffnet sich ein DOS-Fenster.
Entfernen | die ausgewählten Dateien/Verzeichnisse werden entfernt, d.h. sie werden in den Papierkorb geschoben.
Löschen | die ausgewählten Dateien/Verzeichnisse werden gelöscht, ohne sie in den Papierkorb zu schieben.
Abbrechen | das Kontext-Menü wird beendet, es wird keine Aktion ausgeführt.
Ansicht | ein Menü wird angezeigt zur Auswahl der Darstellung in der Listen-Ansicht.
Dateityp anzeigen | die Listen-Ansicht enthält den Datei-Typ-Namen jeder angezeigten Datei.
Dateiattribute anzeigen | die Listen-Ansicht enthält die Attribute zu jeder angezeigten Datei.
Erstellungsdatum anzeigen | die Listen-Ansicht enthält das Erstellungsdatum zu jeder angezeigten Datei.
Zugriffsdatum anzeigen | die Listen-Ansicht enthält das Datum des letzten Zugriffs zu jeder angezeigten Datei.
Gitterlinien anzeigen | in der Listen-Ansicht werden Gitter-Linien angezeigt.
Dateifilter | ein Menü wird angezeigt mit den Datei-Erweiterungen, nach denen eine Auswahl vorgenommen werden kann.

  • die Titelleiste


Symbolleiste Auswahl

Die Symbolleiste Auswahl

enthält 10 Buttons mit der Bezeichnung 'Keine anzeigen', 'Nur ausgewählte anzeigen', 'Alle auswählen', 'Zusätzliche auswählen', 'Größere auswählen', 'Kleinere auswählen', 'Neuere auswählen', 'Ältere auswählen', 'Gleiche auswählen' und 'Ungleiche auswählen'.

Keine auswählen | keine der angezeigten Dateien und Verzeichnisse wird selektiert.
Nur ausgewählte anzeigen | nur die selektierten Dateien und Verzeichnisse werden angezeigt.
Alle auswählen | alle angezeigten Dateien und Verzeichnisse werden selektiert.
Zusätzliche auswählen | die in diesem Verzeichnis zusätzlichen Dateien werden selektiert.
Größere auswählen | die in diesem Verzeichnis vorhandenen größeren Dateien werden selektiert.
Kleinere auswählen | die in diesem Verzeichnis vorhandenen kleineren Dateien werden selektiert.
Neuere auswählen | die in diesem Verzeichnis vorhandenen neueren Dateien werden selektiert.
Ältere auswählen | die in diesem Verzeichnis vorhandenen älteren Dateien werden selektiert.
Gleiche auswählen | die in diesem Verzeichnis vorhandenen gleichen Dateien werden selektiert.
Ungleiche auswählen | die in diesem Verzeichnis vorhandenen ungleichen Dateien werden selektiert.

  • die Titelleiste


Symbolleiste Bearbeiten

Die Symbolleiste Bearbeiten

enthält 13 Buttons mit der Bezeichnung 'Kopieren/Verschieben', 'Entfernen', 'Löschen', 'Datum/Uhrzeit ändern', 'Umbenennen', 'Attribute ändern', 'Verschlüsseln/Entschlüsseln', 'zusammen in eine Datei zippen', 'in einzelne Dateien zippen', 'Entzippen', 'Anzeigen', 'Unterschiede zweier Dateien anzeigen' und 'Größe des Ordners ermitteln'.

Kopieren/Verschieben | die ausgewählten Dateien/Ordner werden in das andere Vereichnis kopiert oder verschoben.
Entfernen | die ausgewählten Dateien/Verzeichnisse werden entfernt, d.h. sie werden in den Papierkorb geschoben.
Löschen | die ausgewählten Dateien/Verzeichnisse werden gelöscht, ohne sie in den Papierkorb zu schieben.
Datum/Uhrzeit ändern | die Datum-/Zeitstempel für 'geändert', 'erstellt' und 'letzter Zugriff' der ausgewählten Dateien/Verzeichnisse können geändert werden.
Umbenennen | die ausgewählten Dateien/Ordner können umbenannt werden.
Attribute ändern | die Attribute der ausgewählten Dateien/Ordner können geändert werden.
Verschlüsseln/Entschlüsseln | die ausgewählten Dateien können verschlüsselt oder entschlüsselt werden.
zusammen in eine Datei zippen | die ausgewählten Dateien/Ordner können in einem Zip-Archiv zusammengefaßt werden.
in einzelne Dateien zippen | die ausgewählten Dateien/Ordner können individuell in je ein Zip-Archiv gepackt werden.
Entzippen | die ausgewählten Dateien/Ordner können ent-zippt werden, ent-zippte Dateien werden erstellt für jede Datei in diesem Zip-Archiv.
Anzeigen | die ausgewählten Dateien können angezeigt werden.
Unterschiede zweier Dateien anzeigen | Unterschiede zwischen zwei Dateien können angezeigt werden.
Größe des Ordners ermitteln | die Größen der ausgewählten Verzeichnisse werden ermittelt und angezeigt.

  • die Titelleiste


Kontext-Menü

Mit einem Rechts-Klick auf ein Element wird das Kontext-Menü des entsprechenden Elements angezeigt. In diesem Kontext-Menü sind die Funktionen verfügbar, die der Explorer in seinem Kontext-Menü enthält.

  • die Titelleiste


Drag & Drop

Die Struktur- und Listen-Ansicht können Quelle und Ziel von Drag & Drop Operationen sein.

  • die Titelleiste


Funktionen der Listen-Ansicht

Wenn die Darstellung auf 'Vertikal' eingestellt ist und in beiden Anwendungsfenstern jeweils ein Verzeichnis ausgewählt ist, dann sind die angezeigten Dateien markiert:

  • mit dem Symbol für 'zusätzliche Dateien'
  • mit dem Symbol für 'größere Dateien'
  • mit dem Symbol für 'kleinere Dateien'
  • mit dem Symbol für 'neuere Dateien'
  • mit dem Symbol für 'ältere Dateien'
  • mit dem Symbol für 'gleiche Dateien'

Das Symbol stimmt mit den Icons der Symbolleiste 'Auswahl' überein, die zur Auswahl der Dateien benutzt werden kann. Wenn mehr als ein Symbol der Symbolleiste aktiv ist, können sie nacheinander benutzt werden, um Dateien auszuwählen.

  • die Titelleiste


Blättern

Blättern in einer Listen-Ansicht eines Anwendungsfenster wird parallel in der zweiten Listen-Ansicht des anderen Anwendungsfensters durchgeführt,

unter folgenden Bedingungen:

  • die Darstellung ist auf 'Vertikal' eingestellt
  • in beiden Anwendungsfenstern ist jeweils ein Verzeichnis ausgewählt
  • der Scrollbalken ist in beiden Listen-Ansichten sichtbar
  • das Blättern wird mit den Scroll-Buttons durchgeführt

  • die Titelleiste


Ausführen

Durch einen Doppel-Klick auf ein Element der Listen-Ansicht kann die Ausführung der Anwendung gestartet werden. Dies kann ein Anwendungsprogramm sein (.exe-Extension) oder die einer Datei zugeordnete Anwendung (z.B. Notepad für txt-Dateien).

  • die Titelleiste


Sortierung

Die Listen-Ansicht kann nach den angezeigten Elementen aufsteigend oder absteigend sortiert werden.

Dazu wird auf das Element der Listen-Ansicht geklickt, nach dem sortiert werden soll. Ein Pfeil hinter der Bezeichnung des Feldes zeigt die vorhandene Sortierreihenfolge an. Um die vorhandene Sortierreihenfolge umzukehren, wird das Element der Listen-Ansicht erneut angeklickt

  • die Titelleiste


Datum/Uhrzeit

Durch einen Doppel-Klick auf Datum/Uhrzeit in den Feldern 'letzte Änderung', 'erstellt am' und 'letzter Zugriff' kann Datum und Uhrzeit der ausgewählten Datei/des ausgewählten Verzeichnisses geändert werden.

Innerhalb des angezeigten Datum/Uhrzeit-Feldes kann mit den 'Pfeil rechts' bzw. 'Pfeil links' Tasten navigiert werden. Die 'Esc'- Taste kann benutzt werden, wenn eine vorgenommene Änderung nicht an der Datei/dem Verzeichnis durchgeführt werden soll.

  • die Titelleiste


Umbenennen

Durch einen Klick auf den Dateiname/Ordnername eines bereits markierten Feldes im Feld 'Name' kann der Name der Datei/des Ordners geändert werden.

Innerhalb des angezeigten Feldes kann mit den 'Pfeil rechts' bzw. 'Pfeil links' Tasten navigiert werden. Die 'Esc'- Taste kann benutzt werden, wenn eine vorgenommene Änderung nicht an der Datei/dem Verzeichnis durchgeführt werden soll.

  • die Titelleiste


Attribute

Durch einen Doppel-Klick auf die Attribute im Feld 'Attr' können die Attribute der Datei/des Ordners geändert werden.

Innerhalb des angezeigten Feldes kann mit den 'Pfeil rechts' bzw. 'Pfeil links' Tasten navigiert werden. Die 'Esc'- Taste kann benutzt werden, wenn eine vorgenommene Änderung nicht an der Datei/dem Verzeichnis durchgeführt werden soll.

  • die Titelleiste


Struktur verbergen/Struktur anzeigen

Mit dem Button 'Struktur verbergen' bzw. 'Struktur anzeigen' kann eingestellt werden, ob die Struktur-Ansicht im Anzeigefenster dargestellt wird oder nicht dargestellt wird.

Wenn der Button gedrückt wird, bleibt er solange optisch markiert als gedrückt, bis er erneut gedrückt wird und dadurch die optische Markierung entfernt wird.

  • die Titelleiste


Aktualisieren

Mit dem Button 'Aktualisieren' kann die manuell Anzeige aktualisiert werden, falls 'Aktualisieren' abgeschaltet ist oder ein 'Aktualisieren' nicht stattfindet. Normalerweise findet das automatische Aktualisieren immer dann statt, wenn eine Datei oder ein Verzeichnis geändert wurde.

In der Struktur-Ansicht kann durch Drücken des Button 'Aktualisieren' das Aktualisieren der Struktur durchgeführt werden.

In der Listen-Ansicht kann durch Drücken des Buttons 'Aktualisieren' das Aktualisieren ausgeschaltet werden. Der Button wird dann folgendermaßen dargestellt:

Der Button bleibt dann in diesem Zustand 'gedrückt'. Falls in dem angezeigten Verzeichnis Veränderungen an Dateien oder Unterverzeichnissen stattfinden, zeigt der Button diesen Zustand an wie nachfolgend gezeigt:

Erst mit einem erneuten Drücken des Buttons wird wieder in den 'Aktualisieren' Modus umgeschaltet.

Wenn das Aktualisieren ausgeschaltet ist, wird die Notwendigkeit des Aktualisierens durch eine andere optische Markierung in diesem Button angezeigt.

  • die Titelleiste


nur Dateien anzeigen/Dateien und Ordner anzeigen

Mit dem Button 'nur Dateien anzeigen' bzw. 'Dateien und Ordner anzeigen' kann eingestellt werden, ob in der Listen-Ansicht nur Dateien oder Dateien und Verzeichnisse dargestellt werden.

Wenn der Button gedrückt wird, bleibt er solange optisch markiert als gedrückt, bis er erneut gedrückt wird und dadurch die optische Markierung entfernt wird.

Die Darstellung 'nur Dateien anzeigen' kann für Verzeichnisse mit Unterverzeichnissen sinnvoll sein; die einzelnen Unterverzeichnis-Namen werden mit dem jeweiligen Dateinamen zusammen dargestellt.

  • die Titelleiste


Name kopieren

Mit dem Button 'Name kopieren' wird der Dateiname einer markierten Datei in die Zwischenablage kopiert und kann dann in anderen Anwendungen mit der Paste-Funktion verwendet werden.

'Name kopieren' kopiert den Dateinamen inclusive der Extension.

  • die Titelleiste


Pfad kopieren

Mit dem Button 'Pfad kopieren' wird der Dateiname einer markierten Datei inclusive des vollständigen Pfadnamens in die Zwischenablage kopiert und kann dann in anderen Anwendungen mit der Paste-Funktion verwendet werden.

'Pfad kopieren' kopiert den Dateinamen mit der Extension inclusive des vollständigen Pfadnamens.

  • die Titelleiste


Name bearbeiten

Mit dem Button 'Name bearbeiten' wird der Dateiname einer markierten Datei bzw. der Name des Ordners bearbeitet, d.h. der Name kann geändert werden.

  • die Titelleiste


Alle auswählen

Mit dem Button 'Alle auswählen' werden alle angezeigten Dateien und Verzeichnisse selektiert.

  • die Titelleiste


Keine auswählen

Mit dem Button 'Keine auswählen' werden alle ausgewählten Dateien und Verzeichnisse deselektiert.

  • die Titelleiste


Auswahl invertieren

Mit dem Button 'Auswahl invertieren' werden alle ausgewählte Dateien und Verzeichnisse deselektiert, nicht ausgewählte Dateien und Verzeichnisse werden selektiert.

  • die Titelleiste


Neuen Ordner erstellen

Mit dem Button 'Neuen Ordner erstellen' wird ein neuer Ordner unterhalb des ausgewählten Ordners erstellt.

  • die Titelleiste


Neue Verknüpfung erstellen

Mit der Funktion 'Neue Verknüpfung erstellen' wird eine neue Verknüpfung zu einer auszuwählenden Datei im aktuell ausgewählten Ordner erstellt. Diese Funktion kann auch über die Tastenkombination "Alt-Einfg" erreicht werden.

Der "Name der Verknüpfung" wird in diesem Feld eingegeben.

Als "Ziel der Verknüpfung" wird in diesem Feld die verknüpfte Datei angegeben mit ihrem vollständigen Namen (Laufwerk, Verzeichnis, Dateiname). Die zu verknüpfende Datei kann auch mit dem Button "Verknüpfung auswählen" ausgewählt werden.

  • die Titelleiste


Kommandozeile

Mit dem Button 'Kommandozeile' öffnet sich ein DOS-Fenster mit dem ausgewählten Verzeichnis als Default-Verzeichnis.

  • die Titelleiste


Entfernen

Mit dem Button 'Entfernen' werden die ausgewählten Dateien/Verzeichnisse entfernt, d.h. sie werden in den Papierkorb geschoben.

  • die Titelleiste


Löschen

Mit dem Button 'Löschen' werden die ausgewählten Dateien/Verzeichnisse gelöscht, ohne sie in den Papierkorb zu schieben.

  • die Titelleiste


Abbrechen

Mit dem Button 'Abbrechen' wird die Anzeige des Kontext-Menüs beendet, es wird keine Aktion ausgeführt.

  • die Titelleiste


Ansicht

Mit dem Button 'Ansicht' wird ein Menü angezeigt zur Auswahl der Darstellung in der Listen-Ansicht.

  • die Titelleiste


Dateityp anzeigen

Mit dem Button 'Dateityp anzeigen' enthält die Listen-Ansicht den Datei-Typ-Namen jeder angezeigten Datei.

  • die Titelleiste


Dateiattribute anzeigen

Mit dem Button 'Dateiattribute anzeigen' enthält die Listen-Ansicht den Datei-Attribute zu jeder angezeigten Datei.

  • die Titelleiste


Erstellungsdatum anzeigen

Mit dem Button 'Erstellungsdatum anzeigen' enthält die Listen-Ansicht das Erstellungsdatum zu jeder angezeigten Datei.

  • die Titelleiste


Zugriffsdatum anzeigen

Mit dem Button 'Zugriffsdatum anzeigen' enthält die Listen-Ansicht das Datum des letzten Zugriffs zu jeder angezeigten Datei.

  • die Titelleiste


Gitterlinien anzeigen

Mit dem Button 'Gitterlinien anzeigen' enthält die Listen-Ansicht Gitterlinien zwischen den einzelnen Zeilen und Spalten.

  • die Titelleiste


Dateifilter

Mit dem Button 'Dateifilter' wird ein Menü angezeigt mit den Datei-Erweiterungen, die im aktuell ausgewählten Verzeichnis vorhanden sind, nach denen eine Auswahl vorgenommen werden kann.

Es kann nur jeweils eine Datei-Erweiterung ausgewählt werden.

In der Auswahl 'Andere...' kann mit nachfolgendem Dialog eine andere Auswahl-Maske festgelegt werden:

Datei Filter Andere

Mit dieser Eingabe wird der Text '*bildschirm*' in den benutzerdefinierten Bereich des Menüs aufgenommen; in der Listen-Ansicht werden nur noch solche Dateien und Verzeichnisse angezeigt, die mit diesem Ausdruck übereinstimmen.

  • die Titelleiste


Nur ausgewählte anzeigen

Mit dem Button 'Nur ausgewählte anzeigen' werden nur die selektierten Dateien und Verzeichnisse angezeigt.

  • die Titelleiste


Zusätzliche auswählen

Mit dem Button 'Zusätzliche auswählen' werden die in diesem Verzeichnis zusätzlichen Dateien selektiert.

  • die Titelleiste


Größere auswählen

Mit dem Button 'Größere auswählen' werden nur die in diesem Verzeichnis vorhandenen größeren Dateien selektiert.

  • die Titelleiste


Kleinere auswählen

Mit dem Button 'Kleinere auswählen' werden nur die in diesem Verzeichnis vorhandenen kleineren Dateien selektiert.

  • die Titelleiste


Neuere auswählen

Mit dem Button 'Neuere auswählen' werden nur die in diesem Verzeichnis vorhandenen neueren Dateien selektiert.

  • die Titelleiste


Ältere auswählen

Mit dem Button 'Ältere auswählen' werden nur die in diesem Verzeichnis vorhandenen älteren Dateien selektiert.

  • die Titelleiste


Gleiche auswählen

Mit dem Button 'Gleiche auswählen' werden nur die in diesem Verzeichnis vorhandenen gleichen Dateien selektiert.

  • die Titelleiste


Ungleiche auswählen

Mit dem Button 'Ungleiche auswählen' werden nur die in diesem Verzeichnis vorhandenen ungleichen Dateien selektiert.

  • die Titelleiste


Kopieren/Verschieben

Mit dem Button 'Kopieren/Verschieben' können die ausgewählten Dateien/Ordner in das andere Verzeichnis kopiert oder verschoben werden.

Im nachfolgenden Dialog kann die Aktion ausgewählt werden:

  • Der Button 'Kopieren' kopiert die ausgewählte Datei vom Quell-Verzeichnis zum Ziel-Verzeichnis. Bei der nächsten ausgewählten Datei wird erneut in diesem Dialog nachgefragt.
  • Der Button 'Alle kopieren' kopiert alle ausgewählten Dateien vom Quell-Verzeichnis zum Ziel-Verzeichnis. Bei der nächsten ausgewählten Datei wird dieser Dialog nicht wieder gezeigt.
  • Der Button 'Nein' ignoriert die ausgewählte Datei beim Kopieren oder Verschieben. Bei der nächsten ausgewählten Datei wird erneut in diesem Dialog nachgefragt.
  • Der Button 'Abbrechen' bricht den gesamten Kopier- oder Verschiebe-Vorgang ab.
  • Der Button 'Verschieben' verschiebt die ausgewählte Datei vom Quell-Verzeichnis zum Ziel-Verzeichnis. Bei der nächsten ausgewählten Datei wird erneut in diesem Dialog nachgefragt.
  • Der Button 'Alle verschieben' verschiebt alle ausgewählten Dateien vom Quell-Verzeichnis zum Ziel-Verzeichnis. Bei der nächsten ausgewählten Datei wird dieser Dialog nicht wieder gezeigt.
  • Der Button 'Struktur erstellen' erstellt im Ziel-Verzeichnis die gleiche Verzeichnis-Struktur wie sie im Quell-Verzeichnis vorhanden ist, aber ohne einzelne Dateien zu kopieren oder zu verschieben.
  • Der Button 'Dateien erstellen' erstellt im Ziel-Verzeichnis die gleiche Verzeichnis-Struktur und die gleichen Dateien wie sie im Quell-Verzeichnis vorhanden sind. Die einzelnen Dateien sind aber leer und werden mit der Größe 0 Bytes angezeigt.

  • die Titelleiste


Datum/Uhrzeit ändern

Mit dem Button 'Datum/Uhrzeit ändern' können die Datum-/Zeitstempel für 'geändert', 'erstellt' und 'letzter Zugriff' der ausgewählten Dateien/Verzeichnisse geändert werden.

Im nachfolgenden Dialog kann die Aktion ausgewählt werden:

Der Dialog hat 7 Bereiche, in denen Informationen enthalten sind oder eingegeben werden können.

  • der erste Bereich enthält den Namen des Verzeichnisses oder den Namen der Datei, die bearbeitet wird
  • der zweite Bereich enthält das Datum und die Uhrzeit der letzten Änderung
  • der dritte Bereich enthält das Datum und die Uhrzeit der Erstellung
  • der vierte Bereich enthält das Datum und die Uhrzeit des letzten Zugriffs
  • der fünfte Bereich enthält die Möglichkeit, in Abhängigkeit der Sommer-/Winter-Zeit das Datum und die Uhrzeit der letzten Änderung um eine Stunde nach vorne oder um eine Stunde zurück zu stellen
  • der sechste Bereich enthält die Möglichkeit, in Abhängigkeit vom Dateisystem das Datum und die Uhrzeit der letzten Änderung auf einen geradzahligen Wert einzustellen. Es wird die vorhandene Uhrzeit überprüft und entsprechend geändert, wenn sie nicht den FAT-Konventionen entspricht
  • der siebte Bereich enthält die Möglichkeit, die Änderungen auch auf Unterverzeichnisse und darin enthaltene Dateien auszuführen

Innerhalb des Dialogs kann mit der Tab-Taste von einem Feld zum nächsten navigiert werden. In den Datum-/Uhrzeit-Feldern kann mit den 'Pfeil links'- und 'Pfeil rechts'-Tasten navigiert werden.

Sobald eine der beiden Einstellungen zur Sommer- oder Winter-Zeit oder die Sekundenzahl zur Anpassung an das FAT-Dateisystem angeklickt wird, werden die Felder von Datum und Uhrzeit der letzten Änderung, Datum und Uhrzeit der Erstellung, Datum und Uhrzeit des letzten Zugriffs gegen Eingaben gesperrt.

  • Der Button 'Ja' führt die Aktion auf die ausgewählte Datei aus. Bei der nächsten ausgewählten Datei wird erneut in diesem Dialog nachgefragt.
  • Der Button 'Alle' führt die Aktion auf alle ausgewählten Dateien aus. Bei der nächsten ausgewählten Datei wird dieser Dialog nicht wieder gezeigt.
  • Der Button 'Nein' ignoriert die ausgewählte Datei bei der Ausführung der Aktion. Bei der nächsten ausgewählten Datei wird erneut in diesem Dialog nachgefragt.
  • Der Button 'Abbrechen' bricht den gesamten Vorgang ab.

  • die Titelleiste


Umbenennen

Mit dem Button 'Umbenennen' können die ausgewählten Dateien/Ordner umbenannt werden.

Im nachfolgenden Dialog kann die Aktion ausgewählt werden:

Im Eingabefeld des Ziel-Dateinamens kann eine Dateinamens-Maske mit generischen Zeichen angegeben werden, die es ermöglicht, Dateinamens-Änderungen zu spezifizieren.

Folgende generische Zeichen sind in der Dateinamens-Maske möglich:

* | Stern | Ein * steht für eine beliebige Anzahl von beliebigen Zeichen im Dateiname an einer Position des Original-Dateinamens
? | Fragezeichen | Ein ? steht für ein beliebiges Zeichen im Dateiname an einer Position des Original-Dateinamens
: | Doppelpunkt | Ein : steht für die Position einer beliebigen Anzahl von beliebigen Zeichen im Dateinamen, von der aus die Zeichen des Original-Dateinamens übernommen werden
< | Kleiner | Ein < steht für ein beliebiges Zeichen im Dateiname an einer Position des Original-Dateinamens, an der entsprechende Kleinbuchstaben eingesetzt werden
> | Größer | Ein > steht für ein beliebiges Zeichen im Dateiname an einer Position des Original-Dateinamens, an der entsprechende Großbuchstaben eingesetzt werden
% | Prozent | Ein Prozent-Zeichen steht für ein numerisches Zeichen im Dateiname an einer Position des Original-Dateinamens, an dem bereits ein numerischer Wert vorhanden ist

Beispiele:

Quell-Dateiname: | Maske: | Ziel-Dateiname: | Erklärung:
ABCDEFGH.IJK | D** | DBCDEFGH.IJK | Der '**' am Ende übernimmt alle Zeichen aus dem Quell-Dateiname
ABCDEFGH.IJK | D??EEE??.X?C | DBCEEEGH.XJC | Das '?' übernimmt jeweils ein Zeichen
ABCDEFGH.IJK | C*.* | CBCDEFGH.IJK | Der '*' übernimmt alle Zeichen bis zu einem Punkt hin
ABCDEFGH.IJK | D.* | D.IJK | Bei einem '.' in der Maske wird in FileFrom ab dem nächsten Punkt fortgesetzt
ABCDEFGH.IJK | *.* | ABCDEFGH.IJK | trivial
ABCDEFGH.IJK | D??X*.?X* | DBCXEFGH.IXK | Der '*' nach dem 'X' übernimmt den Rest bis zum Punkt
ABCDEFGH.IJK | D*E??.* | DBCDEFG.IJK | Der '*' zwischen zwei diskreten Zeichen übernimmt solange, bis das zweite diskrete Zeichen gefunden wird. Danach werden bis zum Punkt hin noch zwei Zeichen (wegen '??') übernommen
ABCDEFGH.IJK | D*E*.* | DBCDEFGH.IJK | Wie vorher, aber übernehmen aller Zeichen bis zum Punkt nach dem 'E' wegen dem '*'
ABCDEFGH.IJK | D*EXX??.* | DBCDEXXH..IJK | Führt zum Fehler, da für 'D*E' bereits 5 Zeichen übernommen sind und dann mit 'XX??' 4 weitere Zeichen übernommen werden
ABCDEFGH.IJK | X:.* | XABCDEFGH.IJK | Das ':' übernimmt einen gesamten Teil bis zum nächsten Zeichen in der Maske in den neuen Namen
ABCDEFGH.IJK | *.XY: | ABCDEFGH.XYIJK | Das ':' übernimmt einen gesamten Rest in den neuen Namen
ABCDEFGH.IJK | <** | aBCDEFGH.IJK | Das '<' wandelt je einen Großbuchstaben in einen Kleinbuchstaben um
ABCDEFGH.IJK | <<<** | abcDEFGH.IJK | Das '<' wandelt je einen Großbuchstaben in einen Kleinbuchstaben um
abcdefgh.ijk | >>>>>>>>.* | ABCDEFGH.ijk | Das '>' wandelt je einen Kleinbuchstaben in einen Großbuchstaben um
f1.abc | f%%%.* | f001.abc | Das '%' wandelt einen numerischen Wert um in einen längeren oder kürzeren numerischen Wert

Weitere Beispiele:

Quell-Dateiname: | Maske: | Ziel-Dateiname:
ABC | D** | DBC
ABC | D??EEE??.X?C | DBCEEE
ABC | C*.* | CBC
ABC | D.* | D
ABC | *.* | ABC
ABC | D??X*.?X* | DBCX
ABC | D*E??.* | DBCE
ABC | D*E*.* | DBCE
ABC | D*EXX??.* | DBCEXX
f001.abc | f%%.* | f01.abc
f001.abc | x%.* | x1.abc

Mit dem Drücken eines der Buttons wird die Aktion fortgesetzt.

  • Der Button 'Ja' ändert den Namen der ausgewählten Datei. Bei der nächsten ausgewählten Datei wird erneut in diesem Dialog nachgefragt.
  • Der Button 'Alle' ändert den Namen der ausgewählten Dateien. Bei der nächsten ausgewählten Datei wird dieser Dialog nicht wieder gezeigt.
  • Der Button 'Nein' ignoriert die ausgewählte Datei. Bei der nächsten ausgewählten Datei wird erneut in diesem Dialog nachgefragt.
  • Der Button 'Abbrechen' bricht den gesamten Vorgang ab.

  • die Titelleiste


Attribute ändern

Mit dem Button 'Attribute ändern' können die Attribute der ausgewählten Dateien/Ordner geändert werden.

Im nachfolgenden Dialog kann die Aktion ausgewählt werden:

Der Dialog hat 3 Bereiche, in denen Informationen enthalten sind oder eingegeben werden können.

  • der erste Bereich enthält den Namen des Verzeichnisses oder den Namen der Datei, die bearbeitet wird
  • der zweite Bereich enthält die Attribute, die geändert werden können
  • der dritte Bereich enthält die System-Attribute, die nicht geändert werden können

Mit dem Drücken eines der Buttons wird die Aktion fortgesetzt.

  • Der Button 'Ja' ändert die Attribute der ausgewählten Datei. Bei der nächsten ausgewählten Datei wird erneut in diesem Dialog nachgefragt.
  • Der Button 'Alle' ändert die Attribute der ausgewählten Dateien. Bei der nächsten ausgewählten Datei wird dieser Dialog nicht wieder gezeigt.
  • Der Button 'Nein' ignoriert die ausgewählte Datei. Bei der nächsten ausgewählten Datei wird erneut in diesem Dialog nachgefragt.
  • Der Button 'Abbrechen' bricht den gesamten Vorgang ab.

  • die Titelleiste


Verschlüsseln/Entschlüsseln

Mit dem Button 'Verschlüsseln/Entschlüsseln' können die ausgewählten Dateien verschlüsselt oder entschlüsselt werden.

Im nachfolgenden Dialog kann die Aktion ausgewählt werden:

Mit dem Radio-Button 'Methode' wird die Methode des Verschlüsseln oder Entschlüsseln ausgewählt.

  • 'DES' wählt den Data-Encrypt-Standard aus. Im Feld 'Schlüssel' wird das Schlüsselwort zum Verschlüsseln oder Entschlüsseln eingegeben, die maximale Schlüssellänge ist 8 Zeichen.
  • 'RC2' wählt den RC2-Algorithmus aus. Im Feld 'Schlüssel' wird das Schlüsselwort zum Verschlüsseln oder Entschlüsseln eingegeben, die maximale Schlüssellänge ist 16 Zeichen.
  • 'Triple DES' wählt die Triple-DES Methode aus. Im Feld 'Schlüssel' wird das Schlüsselwort zum Verschlüsseln oder Entschlüsseln eingegeben, die maximale Schlüssellänge ist 24 Zeichen.
  • 'Rijndael (AES)' wählt die AES-Methode aus. Im Feld 'Schlüssel' wird das Schlüsselwort zum Verschlüsseln oder Entschlüsseln eingegeben, die maximale Schlüssellänge ist 32 Zeichen.

Ein Schlüsselwort von kürzerer Länge als die angegebene Maximallänge wird mit Leerzeichen auf die maximale Länge aufgefüllt.

Eine verschlüsselte Datei erhält zusätzlich die Extension '.enc' zur leichteren Identifikation. Eine entschlüsselte Datei erhält zusätzlich die Extension '.dec' zur leichteren Identifikation.

Das benutzte Schlüsselwort ist nicht wiederherstellbar aus der verschlüsselten Datei. Wenn Sie das Schlüsselwort vergessen, ist die Datei nicht mehr entschlüsselbar.

  • Der Button 'Verschlüsseln' verschlüsselt die ausgewählte Datei. Bei der nächsten ausgewählten Datei wird erneut in diesem Dialog nachgefragt.
  • Der Button 'Alle Verschlüsseln' verschlüsselt alle ausgewählten Dateien. Bei der nächsten ausgewählten Datei wird dieser Dialog nicht wieder gezeigt.
  • Der Button 'Nein' ignoriert die ausgewählte Datei beim Verschlüsseln oder Entschlüsseln. Bei der nächsten ausgewählten Datei wird erneut in diesem Dialog nachgefragt.
  • Der Button 'Abbrechen' bricht den gesamten Vorgang ab.
  • Der Button 'Entschlüsseln' entschlüsselt die ausgewählte Datei. Bei der nächsten ausgewählten Datei wird erneut in diesem Dialog nachgefragt.
  • Der Button 'Alle Entschlüsseln' entschlüsselt alle ausgewählten Dateien. Bei der nächsten ausgewählten Datei wird dieser Dialog nicht wieder gezeigt.

  • die Titelleiste


zusammen in eine Datei zippen

Mit dem Button 'zusammen in eine Datei zippen' können die ausgewählten Dateien/Ordner in einem Zip-Archiv zusammengefaßt werden.

Der Button ist nur dann freigeschaltet, wenn die Kommando-Zeilen-Option des Winzip-Programmes auf dem Rechner installiert ist und gefunden wurde.

  • die Titelleiste


in einzelne Dateien zippen

Mit dem Button 'in einzelne Dateien zippen' können die ausgewählten Dateien/Ordner individuell in je ein Zip-Archiv gepackt werden.

Der Button ist nur dann freigeschaltet, wenn die Kommando-Zeilen-Option des Winzip-Programmes auf dem Rechner installiert ist und gefunden wurde.

  • die Titelleiste


Entzippen

Mit dem Button 'Entzippen' können die ausgewählten Dateien ent-zippt werden, ent-zippte Dateien werden erstellt für jede Datei in diesem Zip-Archiv.

Der Button ist nur dann freigeschaltet, wenn die ausgewählte Datei ein Zip-Archiv ist und wenn die Kommando-Zeilen-Option des Winzip-Programmes auf dem Rechner installiert ist und gefunden wurde.

  • die Titelleiste


Anzeigen

Mit dem Button 'Anzeigen' können die ausgewählten Dateien angezeigt werden.

Der Button ist nur dann freigeschaltet, wenn das WinBrowseM-Utility auf dem Rechner installiert ist und gefunden wurde.

  • die Titelleiste


Unterschiede zweier Dateien anzeigen

Mit dem Button 'Unterschiede zweier Dateien anzeigen' können die Unterschiede zwischen zwei Dateien angezeigt werden.

Der Button ist nur dann freigeschaltet, wenn das AZDelta-Utility auf dem Rechner installiert ist und gefunden wurde und genau eine Datei ausgewählt ist in jeweils der linken und der rechten Listen-Ansicht.

Zur Anzeige wird der Internet Explorer gestartet. Die Anzeige besitzt ein Fenster mit allgemeinen Informationen und zwei Fenster zur Anzeige der ausgewählten Dateien der linken und der rechten Listen-Ansicht.

Im Fenster der allgemeinen Informationen werden die Dateinamen der ausgewählten Dateien angezeigt sowie deren Zeitstempel der letzten Änderung dieser Datei.

In der nächsten Zeile sind enthalten:

  • mit der Markierung (*): die Anzahl der veränderten Zeilen zwischen der links und der rechts angezeigten Datei
  • mit der Markierung (+): die Anzahl der Zeilen, die in der links angezeigten Datei zusätzlich vorhanden sind
  • mit der Markierung (-): die Anzahl der Zeilen, die in der links angezeigten Datei zuwenig vorhanden sind

In den beiden darunterliegenden Fenstern werden die ausgewählten Dateien angezeigt mit einer farblichen Unterlegung der zusätzlichen bzw. geänderten Zeilen.

Die Scrollbalken der beiden Fenster haben eine synchronisierte Funktion. Beim Blättern nach oben/unten bzw. rechts/links in einem der beiden Fenster wird das andere Fenster gleichermaßen geblättert.

Dieses synchrone Blättern funktioniert nur mit einer speziellen Einstellung des Internet-Explorers:

  • unter Menü 'Extras', 'Internetoptionen' wird der 'Internetoptionen' Dialog aufgerufen
  • der Karteireiter 'Erweitert' muss unter dem Eintrag 'Sicherheit' das Kontrollkästchen bei der Einstellung 'Ausführung aktiver Inhalte in Dateien auf dem lokalen Computer zulassen' aktiviert haben
  • evtl. ist ein Neustart des Computers notwendig, um diese Einstellung zu aktivieren

Falls diese Einstellung nicht vorhanden ist, wird eine Warnung angezeigt, die bedeutet dass das synchrone Blättern verhindert wird. DeltaScript

  • die Titelleiste


Größe des Ordners ermitteln

Mit dem Button 'Größe des Ordners ermitteln' können die Größen der ausgewählten Verzeichnisse ermittelt und angezeigt werden.

Der Button ist nur dann freigeschaltet, wenn ein oder mehrere Verzeichnisse in der Listen-Ansicht ausgewählt sind.

  • die Titelleiste


Lizenzdaten

Die Funktion 'Lizenz Daten' zeigt einen Dialog an, um Informationen einzugeben, mit dem eine 'Programmlizenzierung' durchgeführt werden kann.

Verwandte Themen

  • Lizenzdaten
  • Lizenzierung
  • Lizenzfunktionen


Lizenz Funktionen

Die Funktion 'Lizenz Funktionen' zeigt einen Dialog an, in dem Informationen dargestellt werden, aus denen die 'Programmlizenzierung' hervorgeht.

Verwandte Themen

  • Lizenzdaten
  • Lizenzierung
  • Lizenzfunktionen


Lizenzierung

Die Funktion 'Lizenzierung' zeigt einen Dialog an, in dem Informationen dargestellt werden, die zur 'Programmlizenzierung' führen.

Verwandte Themen

  • Lizenzdaten
  • Lizenzierung
  • Lizenzfunktionen


Programmoptionen Trace

Die Funktion 'Programmoptionen Trace' zeigt einen Dialog an, in dem Trace Optionen eingestellt werden können.

In der 'Level'-Combobox wird ausgewählt, zu welchen Zeitpunkten Trace-Nachrichten geschrieben werden. Je höher der Level, desto mehr Nachrichten werden auf die Trace-Datei geschrieben. Standardmäßig ist 'Level 0' eingestellt.

In der 'Pfad für Trace-Dateien'-Einstellung ist der Pfad-Name dargestellt, der benutzt wird, um Trace-Dateien zu speichern. Standardmäßig ist das temporäre Verzeichnis eingestellt.

Mit dem Button 'Dateien löschen' werden die vorhandenen Trace-Dateien in dem eingestellten Verzeichnis gelöscht.

Mit dem Button 'Ordner auswählen' wird der 'Ordner suchen'-Dialog gestartet, mit dem ein Verzeichnis zur Speicherung der Trace-Dateien ausgewählt und eingestellt werden kann.

  • Trace Optionen


Knoten expandieren

Mit dem Button 'Knoten expandieren' werden alle Unterverzeichnisse des ausgewählten Verzeichnisses in der Struktur-Ansicht eingeblendet.

  • die Titelleiste